version: "3.8"
services:
  java-gradle-app:
    image: 951865328368.dkr.ecr.ap-southeast-1.amazonaws.com/docker-exercise:java-maven-app-1.2
    container_name: java-gradle-app
    ports:
      - 8080:8080
    environment:
      - DB_USER=$DB_USER_USERNAME
      - DB_PWD=$DB_USER_PASSWORD
      - DB_NAME=$DB_NAME
      - DB_SERVER=$DB_ENDPOINT
  mysql:
    image: mariadb:latest
    container_name: mysql
    ports:
      - 3306:3306
    environment:
      - MYSQL_ROOT_PASSWORD=$DB_ROOT_PASSWORD
      - MYSQL_DATABASE=$DB_NAME
      - MYSQL_USER=$DB_USER_USERNAME
      - MYSQL_PASSWORD=$DB_USER_PASSWORD
